'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

require('./alertBox.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AlertBox = function (_React$Component) {
  _inherits(AlertBox, _React$Component);

  function AlertBox(props) {
    _classCallCheck(this, AlertBox);

    var _this = _possibleConstructorReturn(this, (AlertBox.__proto__ || Object.getPrototypeOf(AlertBox)).call(this, props));

    _this.state = {
      isFlag: true
    };
    return _this;
  }

  _createClass(AlertBox, [{
    key: 'closeAlert',
    value: function closeAlert() {
      this.setState({
        isFlag: false
      });
    }
  }, {
    key: 'alertCon',
    value: function alertCon() {
      var _props = this.props,
          children = _props.children,
          prefixCls = _props.prefixCls,
          title = _props.title,
          alertcontent = _props.alertcontent;

      return _react2.default.createElement(
        'div',
        { className: (0, _classnames2.default)(prefixCls + '-alertbox-infor') },
        title ? _react2.default.createElement(
          'h3',
          { className: (0, _classnames2.default)(prefixCls + '-alertbox-title') },
          title
        ) : null,
        _react2.default.createElement(
          'p',
          { className: (0, _classnames2.default)(prefixCls + '-alertbox-text') },
          alertcontent
        )
      );
    }
  }, {
    key: 'render',
    value: function render() {
      var _props2 = this.props,
          type = _props2.type,
          title = _props2.title,
          children = _props2.children,
          prefixCls = _props2.prefixCls,
          alertcontent = _props2.alertcontent;

      var isShow = this.state.isFlag;
      var me = this;
      return isShow ? _react2.default.createElement(
        'div',
        { className: (0, _classnames2.default)(prefixCls + '-alertbox ' + prefixCls + '-alertbox-' + type) },
        _react2.default.createElement(
          'a',
          { onClick: me.closeAlert.bind(me), className: (0, _classnames2.default)(prefixCls + '-alertbox-icon') },
          _react2.default.createElement('i', { className: 'iconfont icon-error-o' })
        ),
        this.alertCon()
      ) : null;
    }
  }]);

  return AlertBox;
}(_react2.default.Component);

AlertBox.propTypes = {
  type: _react2.default.PropTypes.oneOf(['default', 'info', 'success', 'warning', 'danger']),
  // close: React.PropTypes.bool,
  title: _react2.default.PropTypes.string,
  className: _react2.default.PropTypes.string,
  alertcontent: _react2.default.PropTypes.string,
  children: _react2.default.PropTypes.oneOfType([_react2.default.PropTypes.string, _react2.default.PropTypes.element, _react2.default.PropTypes.node]),
  prefixCls: _react2.default.PropTypes.string
};
AlertBox.defaultProps = {
  type: 'default',
  prefixCls: 'ult'
};
exports.default = AlertBox;