'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('rc-calendar/assets/index.css');

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _FullCalendar = require('rc-calendar/lib/FullCalendar');

var _FullCalendar2 = _interopRequireDefault(_FullCalendar);

var _zh_CN = require('rc-calendar/lib/locale/zh_CN');

var _zh_CN2 = _interopRequireDefault(_zh_CN);

var _Select = require('../Select');

var _Select2 = _interopRequireDefault(_Select);

var _Input = require('../Input');

var _Input2 = _interopRequireDefault(_Input);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

require('moment/locale/zh-cn');

require('./calendar.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /*
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @Author: SiMeiyu 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @Date: 2017-07-04 09:58:23 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


var format = 'YYYY-MM-DD';

var now = (0, _moment2.default)();
now.locale('zh-cn').utcOffset(8);

var defaultCalendarValue = now.clone();
defaultCalendarValue.add(-1, 'month');

var FullCalendar = function (_React$Component) {
  _inherits(FullCalendar, _React$Component);

  function FullCalendar(props) {
    _classCallCheck(this, FullCalendar);

    var _this = _possibleConstructorReturn(this, (FullCalendar.__proto__ || Object.getPrototypeOf(FullCalendar)).call(this, props));

    _this.state = {
      value: '',
      isFlag: false
    };
    _this.onSelect = _this.onSelect.bind(_this);
    return _this;
  }

  _createClass(FullCalendar, [{
    key: 'onSelect',
    value: function onSelect(value) {
      console.log('select', value.format(format));
      if ("onChange" in this.props) {
        this.props.onChange(value);
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          prefixCls = _props.prefixCls,
          className = _props.className,
          fullscreen = _props.fullscreen;

      var classes = (0, _classnames2.default)(prefixCls + '-fullCalendar', className);
      return _react2.default.createElement(
        'div',
        { className: classes, style: { zIndex: 1000, position: 'relative' } },
        _react2.default.createElement(_FullCalendar2.default, {
          style: { margin: 10 },
          Select: _Select2.default,
          fullscreen: fullscreen,
          onSelect: this.onSelect,
          defaultValue: now,
          locale: _zh_CN2.default
        })
      );
    }
  }]);

  return FullCalendar;
}(_react2.default.Component);

FullCalendar.propTypes = {
  prefixCls: _react2.default.PropTypes.string,
  className: _react2.default.PropTypes.string,
  fullscreen: _react2.default.PropTypes.bool,
  onChange: _react2.default.PropTypes.func
};
FullCalendar.defaultProps = {
  prefixCls: 'ult',
  fullscreen: false
};
exports.default = FullCalendar;