'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Panel = require('../Panel');

var _Panel2 = _interopRequireDefault(_Panel);

var _Dropdown = require('../Dropdown');

var _Dropdown2 = _interopRequireDefault(_Dropdown);

var _detailList = require('./detailList');

var _detailList2 = _interopRequireDefault(_detailList);

require('./detail.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var PanelTitle = _Panel2.default.PanelTitle;

var Detail = function (_React$Component) {
    _inherits(Detail, _React$Component);

    function Detail() {
        _classCallCheck(this, Detail);

        return _possibleConstructorReturn(this, (Detail.__proto__ || Object.getPrototypeOf(Detail)).apply(this, arguments));
    }

    _createClass(Detail, [{
        key: 'detailTitle',
        value: function detailTitle() {
            var _props = this.props,
                operate = _props.operate,
                prefixCls = _props.prefixCls,
                title = _props.title;

            return _react2.default.createElement(
                PanelTitle,
                null,
                _react2.default.createElement(
                    'h4',
                    { className: (0, _classnames2.default)(prefixCls + '-panel-title') },
                    title
                ),
                !!operate ? _react2.default.createElement(_Dropdown2.default, {
                    options: operate.options,
                    title: operate.title,
                    btnType: 'default',
                    btnSize: 'small',
                    placement: 'bottomRight'
                }) : null
            );
        }
    }, {
        key: 'render',
        value: function render() {
            var _props2 = this.props,
                prefixCls = _props2.prefixCls,
                title = _props2.title,
                operate = _props2.operate,
                options = _props2.options;

            var me = this;
            // console.log(111);
            return _react2.default.createElement(
                _Panel2.default,
                { title: me.detailTitle(), className: 'm-b' },
                _react2.default.createElement(_detailList2.default, { options: options, prefixCls: prefixCls })
            );
        }
    }]);

    return Detail;
}(_react2.default.Component);

Detail.propTypes = {
    title: _react2.default.PropTypes.string,
    operate: _react2.default.PropTypes.object,
    options: _react2.default.PropTypes.array,
    prefixCls: _react2.default.PropTypes.string
};
Detail.defaultProps = {
    prefixCls: "ult"
};
exports.default = Detail;