'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _dialog = require('./dialog');

var _dialog2 = _interopRequireDefault(_dialog);

require('./dialog.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ConfirmCon = function (_React$Component) {
  _inherits(ConfirmCon, _React$Component);

  function ConfirmCon() {
    _classCallCheck(this, ConfirmCon);

    return _possibleConstructorReturn(this, (ConfirmCon.__proto__ || Object.getPrototypeOf(ConfirmCon)).apply(this, arguments));
  }

  _createClass(ConfirmCon, [{
    key: 'render',
    value: function render() {
      var me = this;
      var _props = this.props,
          title = _props.title,
          content = _props.content,
          style = _props.style,
          confirmTitle = _props.confirmTitle,
          prefixCls = _props.prefixCls,
          type = _props.type;
      //  console.log(111);

      return _react2.default.createElement(
        'div',
        { className: (0, _classnames2.default)(prefixCls + '-ui-confirm') },
        _react2.default.createElement(
          'div',
          { className: (0, _classnames2.default)(prefixCls + '-ui-confirm-icon ' + type) },
          ' ',
          _react2.default.createElement('i', { className: 'iconfont icon-info-o' })
        ),
        _react2.default.createElement(
          'p',
          null,
          content
        )
      );
    }
  }]);

  return ConfirmCon;
}(_react2.default.Component);

ConfirmCon.defaultProps = {
  title: 'Dialog title',
  confirmTitle: '确定',
  // abortTitle: '取消',
  className: '',
  prefixCls: 'ult'
};
ConfirmCon.propTypes = {
  title: _react2.default.PropTypes.string.isRequired,
  confirmTitle: _react2.default.PropTypes.string,
  style: _react2.default.PropTypes.object,
  prefixCls: _react2.default.PropTypes.string,
  type: _react2.default.PropTypes.oneOf(['infor', 'success', 'danger', 'warning'])
};


function confirmForm(props) {
  var _props2 = props,
      title = _props2.title,
      content = _props2.content,
      style = _props2.style,
      confirmTitle = _props2.confirmTitle,
      type = _props2.type;

  var prefixCls = 'ult';
  props = props || {};
  var ConfirmEle = (0, _dialog2.default)(_react2.default.createElement(ConfirmCon, { content: content, type: type }), _extends({}, props));
}

exports.default = confirmForm;