'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames2 = require('classnames');

var _classnames3 = _interopRequireDefault(_classnames2);

var _formsyReact = require('formsy-react');

var _formsyReact2 = _interopRequireDefault(_formsyReact);

require('../CheckBox/checkBox.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /*
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @Author: SiMeiyu 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @Date: 2017-07-04 10:01:07 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


var HOC = _formsyReact2.default.HOC;

var CheckboxForm = function (_React$Component) {
    _inherits(CheckboxForm, _React$Component);

    function CheckboxForm(props) {
        _classCallCheck(this, CheckboxForm);

        return _possibleConstructorReturn(this, (CheckboxForm.__proto__ || Object.getPrototypeOf(CheckboxForm)).call(this, props));
    }

    _createClass(CheckboxForm, [{
        key: 'changeValue',
        value: function changeValue(e) {
            this.props.setValue(e.currentTarget.checked);
        }
    }, {
        key: 'render',
        value: function render() {
            var _classnames;

            var _props = this.props,
                className = _props.className,
                title = _props.title,
                name = _props.name,
                disabled = _props.disabled,
                prefixCls = _props.prefixCls,
                inline = _props.inline;

            var classes = (0, _classnames3.default)(prefixCls + '-checkbox', className, (_classnames = {}, _defineProperty(_classnames, prefixCls + '-checkbox-inline', inline), _defineProperty(_classnames, "checked", this.props.getValue()), _defineProperty(_classnames, "disabled", disabled), _classnames));
            return _react2.default.createElement(
                'label',
                { className: classes },
                _react2.default.createElement('span', { className: prefixCls + '-checkbox-inner ' + prefixCls + '-checkbox-type' }),
                _react2.default.createElement('input', {
                    type: 'checkbox',
                    checked: this.props.getValue() ? 'checked' : null,
                    name: name,
                    value: this.props.getValue(),
                    onChange: this.changeValue.bind(this),
                    disabled: disabled
                }),
                title
            );
        }
    }]);

    return CheckboxForm;
}(_react2.default.Component);

CheckboxForm.propTypes = {
    name: _react2.default.PropTypes.string.isRequired,
    disabled: _react2.default.PropTypes.bool,
    inline: _react2.default.PropTypes.bool,
    title: _react2.default.PropTypes.string,
    type: _react2.default.PropTypes.string,
    prefixCls: _react2.default.PropTypes.string,
    className: _react2.default.PropTypes.string
};
CheckboxForm.defaultProps = {
    inline: false,
    disabled: false,
    defaultChecked: false,
    prefixCls: "ult"
};
exports.default = HOC(CheckboxForm);