'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

require('./slider.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var SliderTrack = function (_React$Component) {
    _inherits(SliderTrack, _React$Component);

    function SliderTrack() {
        _classCallCheck(this, SliderTrack);

        return _possibleConstructorReturn(this, (SliderTrack.__proto__ || Object.getPrototypeOf(SliderTrack)).apply(this, arguments));
    }

    _createClass(SliderTrack, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                className = _props.className,
                included = _props.included,
                vertical = _props.vertical,
                offset = _props.offset,
                length = _props.length,
                style = _props.style;

            var positonStyle = vertical ? {
                bottom: offset + '%',
                height: length + '%'
            } : {
                left: offset + '%',
                width: length + '%'
            };

            var elStyle = _extends({
                visibility: included ? 'visible' : 'hidden'
            }, style, positonStyle);
            return _react2.default.createElement('div', { className: className, style: elStyle });
        }
    }]);

    return SliderTrack;
}(_react2.default.Component);

exports.default = SliderTrack;