'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Static = function (_React$Component) {
    _inherits(Static, _React$Component);

    function Static() {
        _classCallCheck(this, Static);

        return _possibleConstructorReturn(this, (Static.__proto__ || Object.getPrototypeOf(Static)).apply(this, arguments));
    }

    _createClass(Static, [{
        key: 'render',
        value: function render() {
            var value = this.props.value;

            var staticType = void 0;
            switch (value) {
                case '等待中':
                    staticType = 'primary';
                    break;
                case '已挂载':
                case '已启用':
                    staticType = 'success';
                    break;
                case '创建中':
                    staticType = 'warning';
                    break;
                case '待挂载':
                    staticType = 'danger';
                    break;
            }
            var staticName = (0, _classnames2.default)('bg-' + staticType);
            // console.log(staticName);

            return _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement('span', { className: (0, _classnames2.default)('badge ', '' + staticName) }),
                value
            );
        }
    }]);

    return Static;
}(_react2.default.Component);

Static.propTypes = {
    prefixCls: _react2.default.PropTypes.string,
    className: _react2.default.PropTypes.string,
    staticType: _react2.default.PropTypes.oneOf(['primary', 'success', 'danger', 'warning'])
};
Static.defaultProps = {
    prefixCls: "ult"
};
exports.default = Static;