'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames2 = require('classnames');

var _classnames3 = _interopRequireDefault(_classnames2);

require('./step.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /*
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @Author: SiMeiyu 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @Date: 2017-07-04 09:53:56 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


var StepPanel = function (_React$Component) {
    _inherits(StepPanel, _React$Component);

    function StepPanel() {
        _classCallCheck(this, StepPanel);

        return _possibleConstructorReturn(this, (StepPanel.__proto__ || Object.getPrototypeOf(StepPanel)).apply(this, arguments));
    }

    _createClass(StepPanel, [{
        key: 'render',
        value: function render() {
            var _classnames;

            var _props = this.props,
                prefixCls = _props.prefixCls,
                className = _props.className,
                disabled = _props.disabled,
                isActive = _props.isActive,
                children = _props.children,
                order = _props.order;

            var classes = (0, _classnames3.default)(prefixCls + '-step-panel', (_classnames = {}, _defineProperty(_classnames, prefixCls + '-step-panel-disabled', disabled), _defineProperty(_classnames, prefixCls + '-step-panel-active', isActive), _classnames), className);
            if (!isActive) {
                return null;
            }
            return _react2.default.createElement(
                'div',
                { className: classes },
                children
            );
        }
    }]);

    return StepPanel;
}(_react2.default.Component);

StepPanel.propTypes = {
    prefixCls: _react2.default.PropTypes.string,
    className: _react2.default.PropTypes.string,
    icon: _react2.default.PropTypes.string,
    title: _react2.default.PropTypes.oneOfType([_react2.default.PropTypes.string, _react2.default.PropTypes.node]).isRequired,
    order: _react2.default.PropTypes.number.isRequired,
    disabled: _react2.default.PropTypes.bool,
    isActive: _react2.default.PropTypes.bool
};
StepPanel.defaultProps = {
    prefixCls: 'ult'
};
exports.default = StepPanel;