'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _rcTable = require('rc-table');

var _rcTable2 = _interopRequireDefault(_rcTable);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

require('./table.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * Created by ssehacker on 2016/10/10.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


var NeoTable = function (_React$Component) {
  _inherits(NeoTable, _React$Component);

  function NeoTable() {
    _classCallCheck(this, NeoTable);

    return _possibleConstructorReturn(this, (NeoTable.__proto__ || Object.getPrototypeOf(NeoTable)).apply(this, arguments));
  }

  _createClass(NeoTable, [{
    key: 'render',
    value: function render() {
      var prefixCls = this.props.prefixCls;

      return _react2.default.createElement(_rcTable2.default, _extends({}, this.props, { className: (0, _classnames2.default)(prefixCls + '-table'), emptyText: '\u6682\u65E0\u4EFB\u4F55\u6570\u636E' }));
    }
  }]);

  return NeoTable;
}(_react2.default.Component);

NeoTable.propTypes = {
  prefixCls: _react2.default.PropTypes.string
};
NeoTable.defaultProps = {
  prefixCls: 'ult'
};
exports.default = NeoTable;