'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _tagItem = require('./tagItem');

var _tagItem2 = _interopRequireDefault(_tagItem);

require('./tags.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /*
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @Author: SiMeiyu 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @Date: 2017-07-11 10:07:59 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


var Tags = function (_React$Component) {
  _inherits(Tags, _React$Component);

  function Tags() {
    _classCallCheck(this, Tags);

    return _possibleConstructorReturn(this, (Tags.__proto__ || Object.getPrototypeOf(Tags)).apply(this, arguments));
  }

  _createClass(Tags, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          prefixCls = _props.prefixCls,
          className = _props.className,
          style = _props.style,
          items = _props.items;

      var classes = (0, _classnames2.default)(prefixCls + '-tag', className);

      return _react2.default.createElement(
        'ul',
        { className: classes, style: style },
        items.map(function (item, index) {
          return _react2.default.createElement(_tagItem2.default, { key: index, name: item, prefixCls: prefixCls });
        })
      );
    }
  }]);

  return Tags;
}(_react2.default.Component);

Tags.propTypes = {
  prefixCls: _react2.default.PropTypes.string,
  className: _react2.default.PropTypes.string,
  style: _react2.default.PropTypes.string,
  items: _react2.default.PropTypes.array
};
Tags.defaultProps = {
  prefixCls: 'ult'
};
exports.default = Tags;