'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames2 = require('classnames');

var _classnames3 = _interopRequireDefault(_classnames2);

require('./alertBox.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Toastr = function (_React$Component) {
    _inherits(Toastr, _React$Component);

    function Toastr(props) {
        _classCallCheck(this, Toastr);

        var _this = _possibleConstructorReturn(this, (Toastr.__proto__ || Object.getPrototypeOf(Toastr)).call(this, props));

        _this.state = {
            isFlag: false
        };
        return _this;
    }

    _createClass(Toastr, [{
        key: 'hideErrorAlert',
        value: function hideErrorAlert() {
            this.setState({
                isFlag: false
            });
        }
    }, {
        key: 'showAlert',
        value: function showAlert() {
            this.setState({
                isFlag: true
            });
        }
    }, {
        key: 'renderTittle',
        value: function renderTittle() {
            var me = this;
            var children = this.props.children;

            return _react2.default.createElement(
                'a',
                { onClick: me.showAlert.bind(me) },
                this.props.children
            );
        }
    }, {
        key: 'renderCon',
        value: function renderCon() {
            var _this2 = this,
                _classnames;

            var me = this;
            var _props = this.props,
                messages = _props.messages,
                notify = _props.notify,
                idx = _props.idx,
                prefixCls = _props.prefixCls;

            var isFlag = this.state.isFlag;
            if (!notify || messages.length == 0) {
                return null;
            } else {
                this.timer = setTimeout(function () {
                    _this2.hideErrorAlert.bind(me);
                }, 3000);
            }
            var AlertCon = isFlag ? _react2.default.createElement(
                'div',
                { className: (0, _classnames3.default)((_classnames = {}, _defineProperty(_classnames, prefixCls + '-toastrbox', true), _defineProperty(_classnames, "animate", notify), _classnames)) },
                _react2.default.createElement(
                    'ul',
                    null,
                    messages.map(function (item) {
                        return _react2.default.createElement(
                            'li',
                            { key: item.id },
                            item.content
                        );
                    })
                )
            ) : null;

            return AlertCon;
        }
    }, {
        key: 'render',
        value: function render() {
            var me = this;
            var _props2 = this.props,
                messages = _props2.messages,
                notify = _props2.notify,
                idx = _props2.idx,
                prefixCls = _props2.prefixCls;
            // console.log("messages is -------------",messages);

            return _react2.default.createElement(
                'div',
                { className: (0, _classnames3.default)(prefixCls + '-toastr') },
                me.renderTittle(),
                me.renderCon()
            );
        }
    }]);

    return Toastr;
}(_react2.default.Component);

Toastr.propTypes = {
    hideErrorAlert: _react2.default.PropTypes.func,
    messages: _react2.default.PropTypes.array,
    notify: _react2.default.PropTypes.bool,
    prefixCls: _react2.default.PropTypes.string
};
Toastr.defaultProps = {
    messages: [],
    notify: true,
    prefixCls: 'ult'
};
exports.default = Toastr;