'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Static = require('../Static');

var _Static2 = _interopRequireDefault(_Static);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var DetailItem = function (_React$Component) {
    _inherits(DetailItem, _React$Component);

    function DetailItem() {
        _classCallCheck(this, DetailItem);

        return _possibleConstructorReturn(this, (DetailItem.__proto__ || Object.getPrototypeOf(DetailItem)).apply(this, arguments));
    }

    _createClass(DetailItem, [{
        key: 'removeItem',
        value: function removeItem(value) {
            console.log("您已删除项目：", value);
        }
    }, {
        key: 'renderValue',
        value: function renderValue() {
            var _this2 = this;

            var value = this.props.value;
            return value.map(function (item, index) {
                for (var prop in item) {
                    if (prop.indexOf("name") >= 0) {
                        var itemValue = item[prop];
                        return _react2.default.createElement(
                            'p',
                            { key: index },
                            itemValue,
                            item.remove ? _react2.default.createElement(
                                'a',
                                { className: 'attach_remove', onClick: _this2.removeItem.bind(_this2, item.id) },
                                _react2.default.createElement('i', { className: 'iconfont icon-error-o' })
                            ) : null
                        );
                    }
                }
            });
        }
    }, {
        key: 'render',
        value: function render() {
            var _props = this.props,
                name = _props.name,
                value = _props.value,
                prefixCls = _props.prefixCls,
                id = _props.id;
            //console.log("value is -----------",typeof value);

            if (value instanceof Array) {
                return _react2.default.createElement(
                    'li',
                    null,
                    _react2.default.createElement(
                        'label',
                        null,
                        name
                    ),
                    _react2.default.createElement(
                        'div',
                        { className: (0, _classnames2.default)(prefixCls + '-detail-content') },
                        _react2.default.createElement(
                            'span',
                            null,
                            this.renderValue()
                        )
                    )
                );
            } else if (value instanceof Object) {
                return _react2.default.createElement(
                    'li',
                    null,
                    _react2.default.createElement(
                        'label',
                        null,
                        name
                    ),
                    _react2.default.createElement(
                        'div',
                        { className: (0, _classnames2.default)(prefixCls + '-detail-content') },
                        _react2.default.createElement(
                            'span',
                            null,
                            value
                        )
                    )
                );
            }
            return _react2.default.createElement(
                'li',
                null,
                _react2.default.createElement(
                    'label',
                    null,
                    name
                ),
                id == 'status' || id == 'autosnapshot_status' ? _react2.default.createElement(
                    'div',
                    { className: (0, _classnames2.default)(prefixCls + '-detail-content') },
                    _react2.default.createElement(
                        'span',
                        null,
                        _react2.default.createElement(_Static2.default, { value: value })
                    )
                ) : _react2.default.createElement(
                    'div',
                    { className: (0, _classnames2.default)(prefixCls + '-detail-content') },
                    _react2.default.createElement(
                        'span',
                        null,
                        value
                    )
                )
            );
        }
    }]);

    return DetailItem;
}(_react2.default.Component);

DetailItem.propTypes = {
    name: _react2.default.PropTypes.string,
    value: _react2.default.PropTypes.oneOfType([_react2.default.PropTypes.string, _react2.default.PropTypes.array, _react2.default.PropTypes.object])
};
exports.default = DetailItem;