'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _formsyReact = require('formsy-react');

var _formsyReact2 = _interopRequireDefault(_formsyReact);

var _input = require('./input');

var _input2 = _interopRequireDefault(_input);

var _checkbox = require('./checkbox');

var _checkbox2 = _interopRequireDefault(_checkbox);

var _checkboxGroup = require('./checkboxGroup');

var _checkboxGroup2 = _interopRequireDefault(_checkboxGroup);

var _radioGroup = require('./radioGroup');

var _radioGroup2 = _interopRequireDefault(_radioGroup);

var _textarea = require('./textarea');

var _textarea2 = _interopRequireDefault(_textarea);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Form = _formsyReact2.default.Form; /*
                                        * @Author: SiMeiyu 
                                        * @Date: 2017-07-04 10:01:24 
                                        */
exports.default = { Form: Form, InputForm: _input2.default, CheckboxForm: _checkbox2.default, CheckboxGroupForm: _checkboxGroup2.default, RadioGroupForm: _radioGroup2.default, TextareaForm: _textarea2.default };