'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

require('./logo.less');

var _reactRouter = require('react-router');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /*
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @Author: SiMeiyu 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @Date: 2017-07-05 14:15:43 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


// const { Link } = ReactRouter;

var Logo = function (_React$Component) {
  _inherits(Logo, _React$Component);

  function Logo(props) {
    _classCallCheck(this, Logo);

    return _possibleConstructorReturn(this, (Logo.__proto__ || Object.getPrototypeOf(Logo)).call(this, props));
  }

  _createClass(Logo, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          prefixCls = _props.prefixCls,
          className = _props.className,
          style = _props.style,
          color = _props.color,
          collapsed = _props.collapsed;

      var vbox = collapsed ? "262 -384.9 70 60" : "262 -384.9 275 60";
      var classes = (0, _classnames2.default)(prefixCls + '-logo', className);
      return _react2.default.createElement(
        _reactRouter.Link,
        { className: classes, style: style, to: '/' },
        collapsed ? _react2.default.createElement(
          'svg',
          { version: '1.1', id: 'svg_logo', x: '0', y: '0', viewBox: vbox },
          _react2.default.createElement('path', { fill: color.top, d: 'M299-364.1c0.1,0,0.2-0.1,0.3-0.1c4.3-3.7,12,0.5,10.6,5.2l9.1,0c-0.7-9.7-6.7-14.4-17-14.4\r c-6.2,0-11.2,1.7-14.9,5.2c-3.7,3.4-5.8,8.4-6.4,14.8c0,0.3,0,0.5-0.1,0.8c1.2,0.2,2.4,0.6,3.7,1.3c6.3,3.5,10.8,5.9,16.9,3.2\r c5.8-2.8,4.9-9.1,1-11.8c-4.4-2.9-10.2,0.3-8.2,5.2c1.1,2.3,4.5,1.2,2.8-2.2c0.8,0.1,3.5,1.2,2.6,4.5c-1.4,4.8-11,3.6-8.8-3\r C285.3-360,293.5-367.9,299-364.1z' }),
          _react2.default.createElement('path', { fill: color.main, d: 'M262-346.2c4.7,2.2,7.2,0.1,11.2-0.7c2.6-0.5,5.5,0.2,7.9,1.6c2,7.5,8.2,12.1,17.9,12.1c3.5,0,6.4-0.5,8.7-1.5\r c6.4-2.7,9.8-7.8,10.9-15l-6.9,0c-1.2,6.4-12,11.9-20.5,7c-4.8-2.1-8.1-6.8-14.1-7.3c-6-0.5-8,1.8-11.8,3.2c-1,0.4-2.2,0.5-3.3,0.5\r L262-346.2z' })
        ) : _react2.default.createElement(
          'svg',
          { version: '1.1', id: 'svg_logo', x: '0', y: '0', viewBox: vbox },
          _react2.default.createElement('path', { fill: color.top, d: 'M299-364.1c0.1,0,0.2-0.1,0.3-0.1c4.3-3.7,12,0.5,10.6,5.2l9.1,0c-0.7-9.7-6.7-14.4-17-14.4\r c-6.2,0-11.2,1.7-14.9,5.2c-3.7,3.4-5.8,8.4-6.4,14.8c0,0.3,0,0.5-0.1,0.8c1.2,0.2,2.4,0.6,3.7,1.3c6.3,3.5,10.8,5.9,16.9,3.2\r c5.8-2.8,4.9-9.1,1-11.8c-4.4-2.9-10.2,0.3-8.2,5.2c1.1,2.3,4.5,1.2,2.8-2.2c0.8,0.1,3.5,1.2,2.6,4.5c-1.4,4.8-11,3.6-8.8-3\r C285.3-360,293.5-367.9,299-364.1z' }),
          _react2.default.createElement('path', { fill: color.main, d: 'M262-346.2c4.7,2.2,7.2,0.1,11.2-0.7c2.6-0.5,5.5,0.2,7.9,1.6c2,7.5,8.2,12.1,17.9,12.1c3.5,0,6.4-0.5,8.7-1.5\r c6.4-2.7,9.8-7.8,10.9-15l-6.9,0c-1.2,6.4-12,11.9-20.5,7c-4.8-2.1-8.1-6.8-14.1-7.3c-6-0.5-8,1.8-11.8,3.2c-1,0.4-2.2,0.5-3.3,0.5\r L262-346.2z' }),
          _react2.default.createElement('path', { fill: color.main, d: 'M491.4-357.1l4.9,0c-0.3,4.1-1.4,8-6.2,8h-6.3c-3.3,0-4.8-1.5-4.6-4.6l0.1-0.6c-1.2,0.5-2.4,1-3.7,1.4v-4.8\r c1.4-0.5,2.8-1,4.1-1.5l0.7-7.9h5.1l-0.5,5.8c3.1-1.5,6.4-3.8,9.1-5.5l0,0.1l-0.4,5.2c-2.9,1.8-5.6,3.6-9.1,5.2l-0.1,1.4\r c-0.1,1.3,0.6,2,2.2,2h1.9C490.9-353,491.1-354.3,491.4-357.1L491.4-357.1z M475.5-333.6v-12.1h0l0.3-3.2h5.6l-0.3,3.2H495l-0.4,4.3\r h-13.9l-0.7,7.8L475.5-333.6L475.5-333.6z M475.5-364.3c0.4-0.5,0.7-1,1.1-1.5l-1.1-0.6V-364.3L475.5-364.3z M503-365.7h26.6\r l-0.4,4.7h-26.6L503-365.7L503-365.7z M498.9-355h32.9l-0.4,4.7h-15.4c-1.9,2.5-4.8,5.7-8.8,9.7c4.8,0,8.9-0.2,13.4-0.4l-4.2-5.7\r l6.2,0c4.1,5.1,6.3,8.4,8.6,11.8l-6.5,0c-0.4-0.8-0.2-0.4-0.9-1.4c-13.5,0.4-21.3,0.9-23.3,1.4l-1.8-4.6c3.8-2.9,7.3-6.5,10.4-10.8\r h-10.5L498.9-355z M475.5-352.9c-0.4,0.1-0.7,0.3-1.1,0.4l0.4-4.9c0.2-0.1,0.4-0.2,0.7-0.2V-352.9L475.5-352.9z M475.5-366.4\r l-2.8-1.4c-3,4.3-6.4,7.8-10.2,10.3c0.5,0.9,1,2.2,1.6,4.1c1.3-0.9,2.2-1.9,3.5-2.9l-0.7,7.9h5.1c0.4-4.3,0.7-8.4,1.1-12.7\r c0.9-1,1.6-2,2.4-3.1L475.5-366.4L475.5-366.4z M475.5-345.8v12.1h-1l0.7-7.8h-13.6l0.4-4.3L475.5-345.8L475.5-345.8z' }),
          _react2.default.createElement('path', { fill: color.main, d: 'M449.4-344.9l10.5,0c-1.4,4.7-4.3,8.4-8.8,10.3c-2.1,0.9-4.7,1.3-7.8,1.3c-3,0-5.4-0.3-7.4-0.8\r c-1.9-0.6-3.6-1.5-4.9-2.7c-1.3-1.2-2.3-2.7-3-4.4c-0.7-1.7-0.9-3.9-0.7-6.7c0.2-2.9,0.9-5.3,2.1-7.2c0.8-1.4,1.9-2.7,3.3-3.8\r s2.7-2,4.1-2.5c2.2-0.9,4.9-1.3,8.2-1.3c7.8,0,13.5,2.8,15.2,11l-10.7,0c-0.2-1.2-0.7-2.1-1.5-2.7c-0.8-0.6-1.9-0.9-3.3-0.9\r c-1.8,0-3.3,0.6-4.5,1.9c-1.2,1.3-1.9,3.2-2.1,5.8c-0.2,2.3,0.2,4.1,1.2,5.3c1,1.2,2.3,1.8,4,1.8c1.4,0,2.6-0.4,3.7-1.1\r C448-342.3,448.8-343.4,449.4-344.9z' }),
          _react2.default.createElement('path', { fill: color.main, d: 'M416.2-347.2c-1.5,0.5-3.1,1-4.8,1.4l-0.3,0.1v-5.3c0.7-0.2,1.2-0.3,1.6-0.4c1.2-0.3,2.5-0.8,3.9-1.3\r c0.1-1.3-0.1-2.3-0.6-2.8c-1-1-3.2-1-5-0.6v-6.6c3-0.2,6.2,0,9,0.6c1.9,0.4,3.5,1.1,4.7,2.3c0.9,0.8,1.5,1.9,1.9,3.4\r c0.4,1.5,0.5,2.8,0.4,4.2l-1.1,12.4c-0.1,1.3-0.1,2.4,0,3.1c0.1,0.8,0.4,1.7,0.9,2.9h-10.1c-0.3-0.7-0.6-1.3-0.7-1.7\r c-0.1-0.4-0.2-1-0.2-1.8c-1.5,1.4-3,2.3-4.5,2.9c-0.1,0-0.3,0.1-0.4,0.1v-5.2c0.6-0.1,1.1-0.4,1.6-0.6c1.1-0.6,1.9-1.3,2.4-2.1\r c0.5-0.8,0.8-1.9,0.9-3.3L416.2-347.2z M411.1-345.7c-2.1,0.5-3.4,1.1-4,1.6c-0.7,0.6-1,1.2-1.1,2c-0.1,0.9,0.2,1.5,0.7,2.1\r c0.6,0.5,1.4,0.8,2.5,0.8c0.6,0,1.2-0.1,1.8-0.2v5.2c-1.9,0.7-4,1-6.4,1c-3.4,0-5.8-0.8-7.5-2.3c-1.6-1.5-2.3-3.5-2.1-5.7\r c0.2-2.1,1-3.9,2.3-5.3c1.4-1.4,3.8-2.4,7.2-3.1c2.8-0.6,4.9-1,6.4-1.3L411.1-345.7L411.1-345.7z M411.1-362.7v6.6\r c-0.8,0.2-1.5,0.4-1.9,0.7c-0.7,0.4-1.4,1.3-1.9,2.5l-10.4,0c1.6-5.4,4.3-8.4,9.8-9.3C408.1-362.4,409.6-362.6,411.1-362.7z' }),
          _react2.default.createElement('path', { fill: color.main, d: 'M366.2-362h10l-0.4,4.6c1.7-1.9,3.3-3.2,4.9-4c1.6-0.8,3.5-1.2,5.7-1.2c3,0,5.2,0.9,6.8,2.7\r c1.5,1.8,2.1,4.5,1.8,8.2l-1.5,17.9h-10.8l1.3-15.5c0.1-1.8-0.1-3-0.7-3.7c-0.6-0.7-1.5-1.1-2.7-1.1c-1.3,0-2.4,0.5-3.3,1.5\r c-0.9,1-1.5,2.8-1.7,5.3l-1.1,13.5h-10.8L366.2-362z' }),
          _react2.default.createElement('polygon', { fill: color.main, points: '352.7,-362 363.5,-362 361.1,-333.9 350.3,-333.9 ' }),
          _react2.default.createElement('polygon', { fill: color.main, points: '353.6,-372.7 364.4,-372.7 363.8,-365.4 353,-365.4 ' }),
          _react2.default.createElement('path', { fill: color.main, d: 'M321.2-372.7H332l-1.2,14.3c1.6-1.5,3.1-2.6,4.6-3.3c1.5-0.7,3.2-1,5.2-1c2.9,0,5.2,0.9,6.7,2.7\r c1.5,1.8,2.1,4.5,1.8,8.2l-1.5,17.9h-10.8l1.3-15.5c0.1-1.8-0.1-3-0.7-3.7c-0.6-0.7-1.5-1.1-2.7-1.1c-1.3,0-2.4,0.5-3.3,1.5\r c-0.9,1-1.5,2.8-1.7,5.3l-1.1,13.5h-10.8L321.2-372.7z' }),
          _react2.default.createElement('path', { fill: color.top, d: 'M435.1-365v-1.6c0.8-0.1,1.5-0.5,2.1-1.1c0.7-0.7,1.1-1.9,1.3-3.4c0.1-1.4-0.1-2.5-0.7-3.2\r c-0.6-0.7-1.4-1.1-2.3-1.1c-0.1,0-0.3,0-0.4,0v-1.6c0.2,0,0.4,0,0.6,0c1.6,0,2.8,0.5,3.7,1.6c0.9,1,1.3,2.5,1.1,4.3\r c-0.1,1.5-0.5,2.7-1,3.5c-0.5,0.9-1.2,1.5-2.1,2C436.6-365.3,435.9-365.1,435.1-365L435.1-365z M441.8-365.2l1.1-11.5h1.7l-0.2,1.6\r c0.4-0.6,0.9-1,1.6-1.4c0.6-0.3,1.3-0.5,2.1-0.5c0.9,0,1.5,0.2,2,0.5c0.5,0.4,0.9,0.8,1,1.5c1-1.3,2.3-2,3.8-2c1.1,0,2,0.3,2.6,1\r c0.6,0.6,0.8,1.6,0.6,2.9l-0.7,7.9h-1.9l0.7-7.3c0.1-0.8,0.1-1.3,0-1.7c-0.1-0.3-0.3-0.6-0.6-0.8c-0.3-0.2-0.7-0.3-1.1-0.3\r c-0.8,0-1.5,0.3-2.1,0.8c-0.6,0.5-0.9,1.4-1,2.6l-0.6,6.7h-2l0.7-7.5c0.1-0.9,0-1.5-0.3-2s-0.8-0.7-1.5-0.7c-0.5,0-1.1,0.1-1.6,0.4\r c-0.5,0.3-0.9,0.7-1.1,1.3c-0.3,0.6-0.4,1.4-0.5,2.4l-0.6,6H441.8z M414-365.2l0.2-2.2h2.2l-0.2,2.2H414L414-365.2z M435.1-377v1.6\r c-0.8,0.1-1.5,0.5-2.1,1.1c-0.7,0.7-1.1,1.8-1.3,3.3c-0.1,1.5,0.1,2.6,0.7,3.3c0.6,0.7,1.4,1.1,2.3,1.1c0.1,0,0.3,0,0.4,0v1.6\r c-0.2,0-0.4,0-0.6,0c-1.6,0-2.9-0.5-3.8-1.6c-0.9-1-1.3-2.5-1.1-4.5c0.2-2.1,0.9-3.7,2.2-4.7C432.8-376.5,433.9-376.9,435.1-377\r L435.1-377z M427.1-369.5l1.9,0.3c-0.3,1.3-1,2.4-1.9,3.1c-0.9,0.8-2,1.1-3.3,1.1c-1.6,0-2.8-0.5-3.7-1.5c-0.9-1-1.2-2.5-1-4.4\r c0.1-1.2,0.4-2.3,0.9-3.3c0.5-0.9,1.2-1.6,2.1-2.1c0.9-0.5,1.8-0.7,2.8-0.7c1.3,0,2.2,0.3,3,1c0.7,0.6,1.2,1.5,1.3,2.7l-1.9,0.3\r c-0.1-0.8-0.4-1.4-0.8-1.8c-0.4-0.4-1-0.6-1.6-0.6c-1,0-1.8,0.4-2.5,1.1c-0.7,0.7-1.1,1.8-1.2,3.3c-0.1,1.5,0,2.7,0.6,3.4\r c0.5,0.7,1.3,1.1,2.2,1.1c0.8,0,1.4-0.2,2-0.7C426.5-367.8,426.9-368.5,427.1-369.5z' })
        )
      );
    }
  }]);

  return Logo;
}(_react2.default.Component);

Logo.propTypes = {
  prefixCls: _react2.default.PropTypes.string,
  className: _react2.default.PropTypes.string,
  style: _react2.default.PropTypes.object,
  color: _react2.default.PropTypes.object,
  collapsed: _react2.default.PropTypes.bool
};
Logo.defaultProps = {
  prefixCls: 'ult',
  color: {
    top: "#2196f3",
    main: "#fff"
  }
};
exports.default = Logo;