'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames5 = require('classnames');

var _classnames6 = _interopRequireDefault(_classnames5);

require('./menu.less');

var _reactRouter = require('react-router');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /*
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @Author: SiMeiyu 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @Date: 2017-07-06 11:10:49 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


// const {Link} = ReactRouter;

var MenuItem = function (_React$Component) {
  _inherits(MenuItem, _React$Component);

  function MenuItem() {
    _classCallCheck(this, MenuItem);

    return _possibleConstructorReturn(this, (MenuItem.__proto__ || Object.getPrototypeOf(MenuItem)).apply(this, arguments));
  }

  _createClass(MenuItem, [{
    key: 'handleToggle',
    value: function handleToggle(e) {
      this.props.onToggle(this.props.enkey);
    }
  }, {
    key: 'handleClick',
    value: function handleClick() {
      this.props.onSelect(this.props.enkey);
    }
  }, {
    key: 'render',
    value: function render() {
      var _classnames;

      var _props = this.props,
          prefixCls = _props.prefixCls,
          subMenu = _props.subMenu,
          name = _props.name,
          id = _props.id,
          enkey = _props.enkey,
          icon = _props.icon,
          url = _props.url,
          tip = _props.tip,
          active = _props.active,
          open = _props.open,
          children = _props.children,
          onClick = _props.onClick;

      var isLevel_3 = enkey.length === 5;
      var classes = (0, _classnames6.default)((_classnames = {}, _defineProperty(_classnames, prefixCls + '-menu-item', !subMenu), _defineProperty(_classnames, prefixCls + '-menu-submenu', !!subMenu), _defineProperty(_classnames, prefixCls + '-menu-item-active', active), _defineProperty(_classnames, prefixCls + '-menu-submenu-open', open), _classnames));
      if (!url && !subMenu) {
        return _react2.default.createElement(
          'li',
          { className: classes },
          _react2.default.createElement(
            'a',
            { onClick: this.handleClick.bind(this) },
            icon ? _react2.default.createElement('i', { className: 'iconfont icon-' + icon }) : null,
            _react2.default.createElement(
              'span',
              null,
              name
            )
          ),
          !!tip ? _react2.default.createElement(
            'span',
            { className: (0, _classnames6.default)(prefixCls + '-menu-item-tip', _defineProperty({}, prefixCls + '-menu-item-tip-' + tip.type, !!tip.type)) },
            ' ',
            tip.title,
            ' '
          ) : null
        );
      }
      if (!!url && !subMenu) {
        return _react2.default.createElement(
          'li',
          { className: classes },
          _react2.default.createElement(
            _reactRouter.Link,
            { to: url, onClick: this.handleClick.bind(this) },
            icon ? _react2.default.createElement('i', { className: 'iconfont icon-' + icon }) : null,
            _react2.default.createElement(
              'span',
              null,
              name
            )
          ),
          !!tip ? _react2.default.createElement(
            'span',
            { className: (0, _classnames6.default)(prefixCls + '-menu-item-tip', _defineProperty({}, prefixCls + '-menu-item-tip-' + tip.type, !!tip.type)) },
            ' ',
            tip.title,
            ' '
          ) : null
        );
      }
      return _react2.default.createElement(
        'li',
        { className: classes },
        _react2.default.createElement(
          'div',
          { className: (0, _classnames6.default)(prefixCls + '-menu-item-title', _defineProperty({}, prefixCls + '-menu-item-active', active)), onClick: this.handleToggle.bind(this) },
          icon ? _react2.default.createElement('i', { className: 'iconfont icon-' + icon }) : null,
          _react2.default.createElement(
            'span',
            null,
            name
          ),
          _react2.default.createElement('i', { className: (0, _classnames6.default)('toggle iconfont', { "icon-add": !open && !isLevel_3, "icon-minus": open && !isLevel_3, "icon-down": !open && isLevel_3, "icon-up": open && isLevel_3 }) })
        ),
        children
      );
    }
  }]);

  return MenuItem;
}(_react2.default.Component);

MenuItem.propTypes = {
  prefixCls: _react2.default.PropTypes.string,
  name: _react2.default.PropTypes.string,
  id: _react2.default.PropTypes.string,
  enkey: _react2.default.PropTypes.string,
  icon: _react2.default.PropTypes.string,
  url: _react2.default.PropTypes.string,
  active: _react2.default.PropTypes.bool,
  open: _react2.default.PropTypes.bool,
  subMenu: _react2.default.PropTypes.array,
  tip: _react2.default.PropTypes.object,
  onToggle: _react2.default.PropTypes.func,
  onSelect: _react2.default.PropTypes.func
};
exports.default = MenuItem;