'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames2 = require('classnames');

var _classnames3 = _interopRequireDefault(_classnames2);

var _ProgressBar = require('./ProgressBar');

var _ProgressBar2 = _interopRequireDefault(_ProgressBar);

require('./Progress.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /*
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @Author: SiMeiyu 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @Date: 2017-07-04 10:05:59 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


var Progress = function (_React$Component) {
  _inherits(Progress, _React$Component);

  function Progress() {
    _classCallCheck(this, Progress);

    return _possibleConstructorReturn(this, (Progress.__proto__ || Object.getPrototypeOf(Progress)).apply(this, arguments));
  }

  _createClass(Progress, [{
    key: 'render',
    value: function render() {
      var _classnames;

      var _props = this.props,
          className = _props.className,
          prefixCls = _props.prefixCls,
          striped = _props.striped,
          size = _props.size,
          active = _props.active,
          round = _props.round,
          type = _props.type,
          percent = _props.percent,
          dynamic = _props.dynamic;

      var clazzName = (0, _classnames3.default)((_classnames = {}, _defineProperty(_classnames, prefixCls + '-progress', true), _defineProperty(_classnames, prefixCls + '-progress-striped', !!striped), _defineProperty(_classnames, prefixCls + '-progress-round', !!round), _defineProperty(_classnames, "active", !!active), _defineProperty(_classnames, prefixCls + '-progress-' + size, !!size), _defineProperty(_classnames, '' + className, !!className), _classnames));
      return _react2.default.createElement(
        'div',
        { className: clazzName },
        _react2.default.createElement(_ProgressBar2.default, { type: type, percent: percent, dynamic: dynamic })
      );
    }
  }]);

  return Progress;
}(_react2.default.Component);

Progress.propTypes = {
  type: _react2.default.PropTypes.oneOf(['primary', 'info', 'warning', 'success', 'danger']),
  size: _react2.default.PropTypes.oneOf(['large', 'small']),
  striped: _react2.default.PropTypes.bool,
  active: _react2.default.PropTypes.bool,
  round: _react2.default.PropTypes.bool,
  dynamic: _react2.default.PropTypes.bool,
  percent: _react2.default.PropTypes.number,
  className: _react2.default.PropTypes.string,
  prefixCls: _react2.default.PropTypes.string
};
Progress.defaultProps = {
  type: 'primary',
  striped: false,
  active: false,
  round: false,
  dynamic: false,
  percent: 30,
  prefixCls: 'ult'
};
exports.default = Progress;