'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

require('./slider.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var SliderBg = function (_React$Component) {
    _inherits(SliderBg, _React$Component);

    function SliderBg() {
        _classCallCheck(this, SliderBg);

        return _possibleConstructorReturn(this, (SliderBg.__proto__ || Object.getPrototypeOf(SliderBg)).apply(this, arguments));
    }

    _createClass(SliderBg, [{
        key: 'render',
        value: function render() {
            var calcPoints = function calcPoints(vertical, marks, dots, step, min, max) {
                var points = Object.keys(marks).map(parseFloat);
                if (dots) {
                    for (var i = min; i <= max; i = i + step) {
                        if (points.indexOf(i) >= 0) continue;
                        points.push(i);
                    }
                }
                return points;
            };
            var Steps = function Steps(_ref) {
                var prefixCls = _ref.prefixCls,
                    vertical = _ref.vertical,
                    marks = _ref.marks,
                    dots = _ref.dots,
                    step = _ref.step,
                    included = _ref.included,
                    lowerBound = _ref.lowerBound,
                    upperBound = _ref.upperBound,
                    max = _ref.max,
                    min = _ref.min;

                var range = max - min;
                var elements = calcPoints(vertical, marks, dots, step, min, max).map(function (point) {
                    var _classNames;

                    var offset = Math.abs(point - min) / range * 100 + '%';
                    var style = vertical ? { bottom: offset } : { left: offset };
                    var isActived = !included && point === upperBound || included && point <= upperBound && point >= lowerBound;
                    var pointClassName = classNames((_classNames = {}, _defineProperty(_classNames, prefixCls + '-dot', true), _defineProperty(_classNames, prefixCls + '-dot-active', isActived), _classNames));
                    return _react2.default.createElement('span', { className: pointClassName, style: style, key: point });
                });
                return _react2.default.createElement(
                    'div',
                    { className: prefixCls + '-step' },
                    elements
                );
            };

            return Steps;
        }
    }]);

    return SliderBg;
}(_react2.default.Component);

SliderBg.propTypes = {};
exports.default = SliderBg;