'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Button = require('../Button');

var _Button2 = _interopRequireDefault(_Button);

require('./step.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /*
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @Author: SiMeiyu 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @Date: 2017-07-04 09:53:33 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


var StepFoot = function (_React$Component) {
  _inherits(StepFoot, _React$Component);

  function StepFoot() {
    _classCallCheck(this, StepFoot);

    return _possibleConstructorReturn(this, (StepFoot.__proto__ || Object.getPrototypeOf(StepFoot)).apply(this, arguments));
  }

  _createClass(StepFoot, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          prefixCls = _props.prefixCls,
          previous = _props.previous,
          next = _props.next,
          finish = _props.finish,
          prevIcon = _props.prevIcon,
          nextIcon = _props.nextIcon,
          onPrevStep = _props.onPrevStep,
          onNextStep = _props.onNextStep,
          onFinish = _props.onFinish,
          starting = _props.starting,
          complete = _props.complete;

      var classes = (0, _classnames2.default)(prefixCls + '-step-foot');
      return _react2.default.createElement(
        'div',
        { className: classes },
        _react2.default.createElement(_Button2.default, {
          className: 'm-r-sm',
          type: 'primary',
          name: previous
          // icon={prevIcon || null} 
          , disabled: starting,
          onClick: function onClick() {
            onPrevStep();
          }
        }),
        !complete ? _react2.default.createElement(_Button2.default, { name: next,
          type: 'primary',
          icon: nextIcon || null
          // iconRight={nextIcon ? true : null} 
          , onClick: function onClick() {
            onNextStep();
          }
        }) : _react2.default.createElement(_Button2.default, {
          type: 'danger',
          name: finish,
          onClick: function onClick() {
            onFinish();
          }
        })
      );
    }
  }]);

  return StepFoot;
}(_react2.default.Component);

StepFoot.propTypes = {
  prefixCls: _react2.default.PropTypes.string,
  activeIndex: _react2.default.PropTypes.number,
  complete: _react2.default.PropTypes.bool,
  starting: _react2.default.PropTypes.bool
};
exports.default = StepFoot;