'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

require('./tags.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /*
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @Author: SiMeiyu 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @Date: 2017-07-11 10:08:07 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


var TagItem = function (_React$Component) {
  _inherits(TagItem, _React$Component);

  function TagItem() {
    _classCallCheck(this, TagItem);

    return _possibleConstructorReturn(this, (TagItem.__proto__ || Object.getPrototypeOf(TagItem)).apply(this, arguments));
  }

  _createClass(TagItem, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          prefixCls = _props.prefixCls,
          name = _props.name;

      var classes = (0, _classnames2.default)(prefixCls + '-tag-item', {
        // [`${prefixCls}-tag-item-${type}`]: !!type,
      });

      return _react2.default.createElement(
        'li',
        { className: classes },
        ' ',
        name
      );
    }
  }]);

  return TagItem;
}(_react2.default.Component);

TagItem.propTypes = {
  prefixCls: _react2.default.PropTypes.string,
  name: _react2.default.PropTypes.string
  // icon: React.PropTypes.string,
  // type: React.PropTypes.oneOf(['default', 'primary', 'success', 'warning', 'danger']),
};
TagItem.defaultProps = {
  type: 'default'
};
exports.default = TagItem;