'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames3 = require('classnames');

var _classnames4 = _interopRequireDefault(_classnames3);

require('./textarea.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /*
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @Author: SiMeiyu 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @Date: 2017-07-04 10:07:31 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


var Textarea = function (_React$Component) {
    _inherits(Textarea, _React$Component);

    function Textarea() {
        _classCallCheck(this, Textarea);

        return _possibleConstructorReturn(this, (Textarea.__proto__ || Object.getPrototypeOf(Textarea)).apply(this, arguments));
    }

    _createClass(Textarea, [{
        key: 'render',
        value: function render() {
            var _classnames;

            var _props = this.props,
                className = _props.className,
                prefixCls = _props.prefixCls,
                maxLength = _props.maxLength,
                addon = _props.addon,
                other = _objectWithoutProperties(_props, ['className', 'prefixCls', 'maxLength', 'addon']);
            // const value = this.state.value;


            var classes = (0, _classnames4.default)((_classnames = {}, _defineProperty(_classnames, '' + className, !!className), _defineProperty(_classnames, prefixCls + '-textarea', true), _classnames));
            var props = _extends({ maxLength: maxLength }, other);

            if (addon) {
                return _react2.default.createElement(
                    'div',
                    { className: (0, _classnames4.default)(prefixCls + '-textarea-group', className, _defineProperty({}, prefixCls + '-textarea-group-disabled', this.props.disabled)) },
                    _react2.default.createElement('textarea', _extends({}, props, { className: prefixCls + '-textarea' })),
                    _react2.default.createElement(
                        'span',
                        { className: prefixCls + '-textarea-group-addon' },
                        addon
                    )
                );
            }
            return _react2.default.createElement('textarea', _extends({}, props, { className: classes }));
        }
    }]);

    return Textarea;
}(_react2.default.Component);

Textarea.propTypes = {
    prefixCls: _react2.default.PropTypes.string,
    className: _react2.default.PropTypes.string,
    addon: _react2.default.PropTypes.string,
    maxLength: _react2.default.PropTypes.number
};
Textarea.defaultProps = {
    prefixCls: 'ult',
    className: '',
    maxLength: 200
};
exports.default = Textarea;